Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.actions
Class OpenPerspectiveAction

    java.lang.Object
      javax.swing.AbstractAction
          org.flexdock.perspective.actions.OpenPerspectiveAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class OpenPerspectiveAction

extends AbstractAction

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`OpenPerspectiveAction(String perspectiveId)`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`Perspective` | `getPerspective()`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenPerspectiveAction

    public OpenPerspectiveAction(String perspectiveId)

Method Detail

### getPerspective

    public Perspective getPerspective()

### actionPerformed

    public void actionPerformed(ActionEvent e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD